;InnoSetupVersion=4.0.5

[Setup]
AppName=ExtractNow
AppVerName=ExtractNow
AppId=ExtractNow
AppPublisher=Nathan Moinvaziri
AppPublisherURL=http://nmoin.brinkster.net/
AppSupportURL=http://nmoin.brinkster.net/
AppUpdatesURL=http://nmoin.brinkster.net/
DefaultDirName={pf}\ExtractNow
DefaultGroupName=ExtractNow
OutputBaseFilename=..\extractnow
Compression=zip
PrivilegesRequired=none
DisableProgramGroupPage=yes
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\lng_german.dll"; DestDir: "{app}"; Components: german; Flags: ignoreversion 
Source: "{app}\lng_french.dll"; DestDir: "{app}"; Components: french; Flags: ignoreversion 
Source: "{app}\lng_spanish (spain).dll"; DestDir: "{app}"; Components: spain; Flags: ignoreversion 
Source: "{app}\lng_italian.dll"; DestDir: "{app}"; Components: italian; Flags: ignoreversion 
Source: "{app}\lng_romanian.dll"; DestDir: "{app}"; Components: romanian; Flags: ignoreversion 
Source: "{app}\en.chm"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\enfileicon.ico"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\testarchive.zip"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\extractnow.exe"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\unrar.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\unacev2.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\unzip32.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\wimadll.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\unlha32.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 
Source: "{app}\stuffit5.engine-5.1.dll"; DestDir: "{app}"; Components: main; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\ExtractNow"; ValueName: "New Install"; ValueType: Dword; ValueData: "$1"; 

[INI]
FileName: "{app}\website.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://nmoin.brinkster.net/en/"; 

[Run]
Filename: "{app}\extractnow.exe"; Description: "Launch ExtractNow"; Flags: shellexec postinstall skipifsilent 

[UninstallRun]
Filename: "{app}\extractnow.exe"; Parameters: "/remreg"; 

[Icons]
Name: "{group}\ExtractNow"; Filename: "{app}\extractnow.exe"; 
Name: "{group}\ExtractNow Help"; Filename: "{app}\en.chm"; 
Name: "{group}\ExtractNow on the Web"; Filename: "{app}\website.url"; 
Name: "{group}\Uninstall ExtractNow"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\ExtractNow"; Filename: "{app}\extractnow.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ExtractNow"; Filename: "{app}\extractnow.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create an icon on the &Desktop"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create an icon in the &Quick Launch bar"; GroupDescription: "Additional icons:"; 

[Components]
Name: "main"; Description: "Required Files"; Types: "full compact custom"; 
Name: "italian"; Description: "Italian Language Pack"; Types: "custom"; 
Name: "french"; Description: "French Language Pack"; Types: "custom"; 
Name: "spain"; Description: "Spanish (Spain) Language Pack"; Types: "custom"; 
Name: "german"; Description: "German Language Pack"; Types: "custom"; 
Name: "romanian"; Description: "Romanian Language Pack"; Types: "custom"; 

[InstallDelete]
Type: files; Name: "{sendto}\EXTRAC~1.lnk"; 
Type: files; Name: "{sendto}\EXTRAC~2.lnk"; 

[UninstallDelete]
Type: files; Name: "{app}\website.url"; 
Type: files; Name: "{sendto}\EXTRAC~1.lnk"; 
Type: files; Name: "{sendto}\EXTRAC~2.lnk"; 

[Types]
Name: "full"; 
Name: "compact"; 
Name: "custom"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
